Skip to main content
GET
Inventory movements

Authorizations

X-API-Key
string
header
required

Integration API Key (Integrations → New Integration).

Query Parameters

branch_id
string<uuid>
required

Branch (GET /branches). From another business → 404.

start_date
string<date>
required

Start date (YYYY-MM-DD). Maximum range 93 days.

end_date
string<date>
required

End date (YYYY-MM-DD), greater than or equal to start_date.

product_id
string<uuid>

Filter by product.

source
enum<string>

Origin of the movement.

Available options:
adjustment,
transfer
per_page
integer
default:100

Results per page (1–500, default 100).

Required range: 1 <= x <= 500
page
integer

Page.

Required range: x >= 1

Response

Success

status
boolean
required
Example:

true

data
object
required